Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::G::TimeoutSource Class Reference

A timeout GSource C++ interface. More...

`#include <xfc/glib/main.hh>`

Inheritance diagram for Xfc::G::TimeoutSource:

List of all members.

## Public Member Functions

Constructors

- TimeoutSource (unsigned int interval)
    Constructs a new timeout source that can be associated with any main context.
- TimeoutSource (const SourceSlot &slot, unsigned int interval)
    Constructs a new timeout source that can be associated with any main context.

Methods

- sigc::connection connect (const SourceSlot &slot)
    Connects the callback slot to the timeout source.

## Detailed Description

A timeout GSource C++ interface.

TimeoutSource is a source that's called at regular intervals, with the given priority. The connected slot is called repeatedly until it returns false, at which point the timeout is automatically destroyed and will not be called again. The first call to the slot will be at the end of the first interval.

See also G::TimeoutSignal.

## Constructor & Destructor Documentation

Xfc::G::TimeoutSource::TimeoutSource | ( | unsigned int | interval | ) |

Constructs a new timeout source that can be associated with any main context.

Parameters:

  | interval | The time between calls to the function, in milliseconds.

G::Source::attach() must be called to attach the source to a context. To set the callback slot call set_callback(). To override the default priority PRIORITY_HIGH call set_priority().

Xfc::G::TimeoutSource::TimeoutSource | ( | const SourceSlot & | slot,
|  | unsigned int | interval
| ) |

Constructs a new timeout source that can be associated with any main context.

Parameters:

  | slot | The callback slot, of type sigc::slot<bool>.
  | interval | The time between calls to the function, in milliseconds.

G::Source::attach() must be called to attach the source to a context. To override the default priority PRIORITY_HIGH call set_priority().

## Member Function Documentation

sigc::connection Xfc::G::TimeoutSource::connect | ( | const SourceSlot & | slot | ) |

Connects the callback slot to the timeout source.

Parameters:

  | slot | The callback slot, of type sigc::slot<bool>.

The documentation for this class was generated from the following file:

- libXFCcore/xfc/glib/main.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3